Subject: Re: bug#7458: Distinguishing between left/right command and control keys in OSX

From: Robert Clancy <[email-masked]>
Date: Mon, 22 Nov 2010 08:56:18 +0000

Thanks for that. When I set
ns-right-command-modifier
to meta, Emacs correctly interprets commands like:
M-v
but if I try to use a command like C-M-v, Emacs says:
<C-M-268632086> is undefined.
I presume that OSX is still catching the command key although Emacs  
can interpret it as meta.

If I set ns-command-modifier to meta I do not have this problem.

Also, if I set ns-right-control-modifier to meta, Emacs does not  
interpret right control correctly. That is it inteprets
<right control>-v as C-v
and
C-<right control>-v as C-v
when ns-right-control-modifier is set to meta.

Thanks,
Rob

On 21 Nov 2010, at 13:12, Jan Djärv wrote:

> Added to trunk.  As emacs-23 is in prestest, I didn't change there.
> Note that Aquaemacs value none corresponds to left in Emacs, see http://debbugs.gnu.org/cgi-bin/bugreport.cgi?bug=7150 
> .
>
> 	Jan D.
>
>
> Robert Clancy skrev 2010-11-21 12.17:
>> This is feature request for OSX users. As of revno 100102, one can  
>> set
>> ns-right-alternate-modifier
>> to change what the right alt key does. I would like to be able to  
>> change what
>> right command does. In particular I would like to be able to set
>> ns-right-command-modifier
>> to give meta but also to allow the operating system to catch left  
>> command.
>>
>> A relevant patch for aquamacs is given at
>> http://lists.aquamacs.org/pipermail/aquamacs-devel/2009-December/003890.html
>>
>> Thanks,
>> Rob
>>
>>
>>
>>